Projects

Get configured OAuth providers for a project

Returns a list of OAuth providers that are configured and enabled for the specified project

AuthBearer (JWT)
GroupProjects
Rate limitSee Rate Limits
GET/api/auth/oauth/projects/{projectId}/providers

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, ProjectsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const projects = new ProjectsApi(configuration);
import { Configuration, ProjectsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const projects = new ProjectsApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await projects.getProjectOAuthProviders("proj_HmHXFjAd0yJC");
const { data: result } = await projects.getProjectOAuthProviders("proj_HmHXFjAd0yJC");

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
projectIdstringYes

Responses

200List of configured OAuth providers
json
{
  "providers": [
    {
      "name": "google",
      "displayName": "Sign in with Google",
      "authUrl": "/api/auth/oauth/google?projectId=685ad30be129932fbb7a1047"
    },
    {
      "name": "github",
      "displayName": "Sign in with GitHub",
      "authUrl": "/api/auth/oauth/github?projectId=685ad30be129932fbb7a1047"
    }
  ],
  "total": 2
}
{
  "providers": [
    {
      "name": "google",
      "displayName": "Sign in with Google",
      "authUrl": "/api/auth/oauth/google?projectId=685ad30be129932fbb7a1047"
    },
    {
      "name": "github",
      "displayName": "Sign in with GitHub",
      "authUrl": "/api/auth/oauth/github?projectId=685ad30be129932fbb7a1047"
    }
  ],
  "total": 2
}
403
404

Errors

CodeMeaning
403
404
Edit this page on GitHub